aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog4
-rw-r--r--Makefile2
-rw-r--r--debian/changelog12
-rw-r--r--examples/B90list-missing10
-rw-r--r--examples/B91debc8
-rwxr-xr-xpbuilder-buildpackage2
-rw-r--r--pbuilder-buildpackage-funcs4
-rwxr-xr-xpbuilder-checkparams8
-rwxr-xr-xpbuilder-createbuildenv2
-rw-r--r--pbuilder-modules2
-rw-r--r--pbuilder-uml-checkparams6
-rwxr-xr-xpbuilder-user-mode-linux2
-rw-r--r--pdebuild2
-rw-r--r--pdebuild-checkparams2
-rw-r--r--pdebuild-uml-checkparams2
-rw-r--r--pdebuild-user-mode-linux4
16 files changed, 50 insertions, 22 deletions
diff --git a/ChangeLog b/ChangeLog
index b115edf..ed5a168 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
2005-12-21 Junichi Uekawa <dancer@debian.org>
+ * Makefile (install):
+ * examples/B91debc:
+ * examples/B90list-missing: from q-funk. 343894
+
* testsuite/run-regression.sh: add results display.
* testsuite/run-test.sh: add results display
diff --git a/Makefile b/Makefile
index 36e239d..07ae143 100644
--- a/Makefile
+++ b/Makefile
@@ -82,6 +82,8 @@ install:
$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
+ $(INSTALL_EXECUTABLE) examples/B90list-missing $(DESTDIR)/usr/share/doc/pbuilder/examples
+ $(INSTALL_EXECUTABLE) examples/B91debc $(DESTDIR)/usr/share/doc/pbuilder/examples
$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
$(INSTALL_EXECUTABLE) examples/pbuilder-distribution.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
diff --git a/debian/changelog b/debian/changelog
index 983e4c3..f9e111c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,10 +3,14 @@ pbuilder (0.143) UNRELEASED; urgency=low
[Junichi Uekawa]
* remove libc6 workaround from examples directory, since the problem is
already fixed, and install workaround for initscripts 2.86.ds1-7.
- Also add a workaround for a running inetd after upgrade.
- Use --hookdir /usr/share/doc/pbuilder/examples/344089 for the timebeing.
-
- -- Junichi Uekawa <dancer@debian.org> Wed, 21 Dec 2005 19:47:04 +0900
+ Also add a workaround for a running inetd after upgrade. Use
+ --hookdir /usr/share/doc/pbuilder/examples/344089 for the time being.
+ * use readlink -f instead of readlink -e, since readlink -e is not
+ supported on Debian 3.1 coreutils. thanks to Adrian
+ 'Dagurashibanipal' von Bidder (Closes: #344119).
+ * Add scripts contributed from q-funk. (Closes: #343894).
+
+ -- Junichi Uekawa <dancer@debian.org> Wed, 21 Dec 2005 20:55:01 +0900
pbuilder (0.142) unstable; urgency=low
diff --git a/examples/B90list-missing b/examples/B90list-missing
new file mode 100644
index 0000000..fff7587
--- /dev/null
+++ b/examples/B90list-missing
@@ -0,0 +1,10 @@
+#!/bin/bash
+# 343894: script from q-funk.
+
+# Depends on CDBS module in debian/rules:
+# include /usr/share/cdbs/1/rules/utils.mk
+echo "I: checking for missing files."
+cd /tmp/buildd/*/debian
+cd ..
+fakeroot debian/rules list-missing
+#EOF
diff --git a/examples/B91debc b/examples/B91debc
new file mode 100644
index 0000000..b695f8a
--- /dev/null
+++ b/examples/B91debc
@@ -0,0 +1,8 @@
+#!/bin/bash
+# 343894: a script to run debc command, contributed from q-funk.
+
+apt-get install -y --force-yes devscripts
+cd /tmp/buildd/*/debian
+cd ..
+debc
+#EOF
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index 8598e57..db9dd9f 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -61,7 +61,7 @@ if [ -z "${PBUILDER_BUILD_LOGFILE}" ]; then
PBUILDER_BUILD_LOGFILE="${BUILDRESULT}/"$(basename "${PACKAGENAME}" .dsc)
exec > "${PBUILDER_BUILD_LOGFILE}"
exec 2>&1
- PBUILDER_BUILD_LOGFILE=$(readlink -e "${PBUILDER_BUILD_LOGFILE}")
+ PBUILDER_BUILD_LOGFILE=$(readlink -f "${PBUILDER_BUILD_LOGFILE}")
echo "I: Using pkgname logfile"
showbuildbanner '$Id$'
echobacktime
diff --git a/pbuilder-buildpackage-funcs b/pbuilder-buildpackage-funcs
index 69879dd..d1ead6d 100644
--- a/pbuilder-buildpackage-funcs
+++ b/pbuilder-buildpackage-funcs
@@ -70,8 +70,8 @@ function cowprotect () {
# a hack for cowdancer, used when a file is edited in-place;
# Copy the file to create a new i-node so that hardlinked original is intact
for A in "$@"; do
- if readlink -e "$A"; then
- A=$(readlink -e "$A")
+ if readlink -f "$A"; then
+ A=$(readlink -f "$A")
mv "$A" "$A"~
cp -a "$A"~ "$A"
rm -f "$A"~
diff --git a/pbuilder-checkparams b/pbuilder-checkparams
index 24b1229..138dc4f 100755
--- a/pbuilder-checkparams
+++ b/pbuilder-checkparams
@@ -56,7 +56,7 @@ while [ -n "$1" ]; do
echo "E: Directory $2 does not exist" >&2
exit 1
fi
- BUILDPLACE=$(readlink -e "$2");
+ BUILDPLACE=$(readlink -f "$2");
shift; shift;
;;
--mirror)
@@ -82,7 +82,7 @@ while [ -n "$1" ]; do
--buildresult)
if [ -n "$2" ]; then
if [ -d "$2" ]; then
- BUILDRESULT=$(readlink -e "$2");
+ BUILDRESULT=$(readlink -f "$2");
else
echo "E: Directory $2 does not exist" >&2
exit 1
@@ -95,7 +95,7 @@ while [ -n "$1" ]; do
--aptcache)
if [ -n "$2" ]; then
if [ -d "$2" ]; then
- APTCACHE=$(readlink -e "$2");
+ APTCACHE=$(readlink -f "$2");
else
echo "E: Directory $2 does not exist" >&2
exit 1
@@ -142,7 +142,7 @@ while [ -n "$1" ]; do
echo " -> Logging to $2"
exec > "$2";
exec 2>&1
- PBUILDER_BUILD_LOGFILE=$(readlink -e "$2")
+ PBUILDER_BUILD_LOGFILE=$(readlink -f "$2")
shift; shift;
;;
--pkgname-logfile)
diff --git a/pbuilder-createbuildenv b/pbuilder-createbuildenv
index 45d3a9f..9b208c3 100755
--- a/pbuilder-createbuildenv
+++ b/pbuilder-createbuildenv
@@ -50,7 +50,7 @@ echo " -> running $DEBOOTSTRAP"
unset DEBOOTSTRAPSCRIPT
if [ -n "$HOOKDIR" ]; then
if [ -f "$HOOKDIR/$DISTRIBUTION" ]; then
- DEBOOTSTRAPSCRIPT=$(readlink -e "$HOOKDIR")"/$DISTRIBUTION"
+ DEBOOTSTRAPSCRIPT=$(readlink -f "$HOOKDIR")"/$DISTRIBUTION"
echo " -> Applying user distribution dist build script $DEBOOTSTRAPSCRIPT"
fi
fi
diff --git a/pbuilder-modules b/pbuilder-modules
index 2924a82..6a0ada9 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -266,7 +266,7 @@ function copy_local_configuration () {
if [ ! -f "/etc/$a" ]; then
echo "E: /etc/$a does not exist, your setup is insane. fix it" >&2
fi
- cp $( readlink -e "/etc/$a" ) "$BUILDPLACE/etc/$a";
+ cp $( readlink -f "/etc/$a" ) "$BUILDPLACE/etc/$a";
done
}
diff --git a/pbuilder-uml-checkparams b/pbuilder-uml-checkparams
index fddd611..c361247 100644
--- a/pbuilder-uml-checkparams
+++ b/pbuilder-uml-checkparams
@@ -102,7 +102,7 @@ while [ -n "$1" ] ; do
--buildresult)
# ignore buildresult
if [ -d "$2" ]; then
- UML_BUILDRESULT=$(readlink -e "$2")
+ UML_BUILDRESULT=$(readlink -f "$2")
else
echo "E: Directory $2 does not exist" >&2
exit 1
@@ -110,7 +110,7 @@ while [ -n "$1" ] ; do
shift; shift;;
--buildplace)
if [ -d "$2" ]; then
- BUILDPLACE=$(readlink -e "$2")
+ BUILDPLACE=$(readlink -f "$2")
else
echo "E: Directory $2 does not exist" >&2
exit 1
@@ -119,7 +119,7 @@ while [ -n "$1" ] ; do
--logfile)
exec > "$2";
exec 2>&1
- PBUILDER_BUILD_LOGFILE=$(readlink -e "$2")
+ PBUILDER_BUILD_LOGFILE=$(readlink -f "$2")
shift;shift;;
--)
shift;
diff --git a/pbuilder-user-mode-linux b/pbuilder-user-mode-linux
index 5742038..6d8c1d8 100755
--- a/pbuilder-user-mode-linux
+++ b/pbuilder-user-mode-linux
@@ -146,7 +146,7 @@ EOF
-BUILDING_DSC_FILE=$(readlink -e "$1") || true # ignore failure here
+BUILDING_DSC_FILE=$(readlink -f "$1") || true # ignore failure here
EXTRACLEANUP=
UML_EXITCODE=1
case "${OPERATION}" in
diff --git a/pdebuild b/pdebuild
index e6eb539..69e3757 100644
--- a/pdebuild
+++ b/pdebuild
@@ -37,7 +37,7 @@ export BUILDRESULTUID=$(id -u)
export BUILDRESULTGID=$(id -g)
if [ "${USE_PDEBUILD_INTERNAL}" = 'yes' ]; then
- ${PBUILDERROOTCMD} pbuilder execute "$@" ${EXTRA_CONFIGFILE[@]/#/--configfile } --bindmounts $(readlink -e ..) /usr/lib/pbuilder/pdebuild-internal ${PWD} --debbuildopts "${DEBBUILDOPTS}"
+ ${PBUILDERROOTCMD} pbuilder execute "$@" ${EXTRA_CONFIGFILE[@]/#/--configfile } --bindmounts $(readlink -f ..) /usr/lib/pbuilder/pdebuild-internal ${PWD} --debbuildopts "${DEBBUILDOPTS}"
else
if ! dpkg-checkbuilddeps -B ; then
echo "W: Unmet build-dependency in source"
diff --git a/pdebuild-checkparams b/pdebuild-checkparams
index daaeddd..6cd055f 100644
--- a/pdebuild-checkparams
+++ b/pdebuild-checkparams
@@ -28,7 +28,7 @@ while [ -n "$1" ]; do
--buildresult)
if [ -n "$2" ]; then
if [ -d "$2" ]; then
- BUILDRESULT=$(readlink -e "$2");
+ BUILDRESULT=$(readlink -f "$2");
else
echo "E: Directory $2 does not exist" >&2
exit 1
diff --git a/pdebuild-uml-checkparams b/pdebuild-uml-checkparams
index 2d07957..4a5f497 100644
--- a/pdebuild-uml-checkparams
+++ b/pdebuild-uml-checkparams
@@ -68,7 +68,7 @@ while [ -n "$1" ] ; do
--buildresult)
# ignore buildresult
if [ -d "$2" ]; then
- UML_BUILDRESULT=$(readlink -e "$2")
+ UML_BUILDRESULT=$(readlink -f "$2")
else
echo "E: Directory $2 does not exist" >&2
exit 1
diff --git a/pdebuild-user-mode-linux b/pdebuild-user-mode-linux
index ce0b7e6..77e4af8 100644
--- a/pdebuild-user-mode-linux
+++ b/pdebuild-user-mode-linux
@@ -36,11 +36,11 @@ ARCHITECTURE=$(dpkg-architecture -qDEB_HOST_ARCH)
if [ "${USE_PDEBUILD_INTERNAL}" = 'yes' ]; then
- if [ ! readlink -e .. ]; then
+ if [ ! readlink -f .. ]; then
echo "E: Cannot find .. dir from PWD=$(pwd)"
exit 1
fi
- pbuilder-user-mode-linux execute "$@" --bindmounts $(readlink -e ..) /usr/lib/pbuilder/pdebuild-internal ${PWD} --debbuildopts "${DEBBUILDOPTS}"
+ pbuilder-user-mode-linux execute "$@" --bindmounts $(readlink -f ..) /usr/lib/pbuilder/pdebuild-internal ${PWD} --debbuildopts "${DEBBUILDOPTS}"
else
if ! dpkg-checkbuilddeps -B; then
echo "W: Unmet build-dependency in source"